Name:           python-flexget
Version:        3.16.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        FlexGet is a program aimed to automate downloading or processing content (torrents, podcasts, etc.) from different sources like RSS-feeds, html-pages, various sites and more.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://flexget.com
Source:         %{pypi_source flexget}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'flexget' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-flexget
Summary:        %{summary}

%description -n python3-flexget %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-flexget all,deluge,locked,qbittorrent,telegram,transmission


%prep
%autosetup -p1 -n flexget-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x all,deluge,locked,qbittorrent,telegram,transmission


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-flexget -f %{pyproject_files}


%changelog
%autochangelog